Subject: 31.0.50; Moving nested child frames out of their child parents

From: Gerd Möllmann <[email-masked]>
Date: Sun, 16 Feb 2025 06:16:02 +0100

This bug is for something Martin Rudalics found:

There's a problem with moving nested child frames out of their child
parents.  Load the attached tty-child-frames.el do first M-l and then
C-M-l.  You should see a grey child frame embedded in an orange child
frame.  Now do

(set-frame-parameter tty-3 'left (- 30))

In GNU Emacs 31.0.50 (build 2, aarch64-apple-darwin24.3.0, NS
 appkit-2575.40 Version 15.3.1 (Build 24D70)) of 2025-02-15 built on
 pro2
Repository revision: 4cf53c436159ea54dbfe1a1e24515e2e6fbf9a6f
Repository branch: master
System Description:  macOS 15.3.1